Saltar al contenido principal
POST
/
api_keys
/
generate_web3_key
/api/v1/api_keys/generate_web3_key
curl --request POST \
  --url https://api.venice.ai/api/v1/api_keys/generate_web3_key \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "apiKeyType": "ADMIN",
  "address": "0x45B73055F3aDcC4577Bb709db10B19d11b5c94eE",
  "signature": "0xbb5ff2e177f3a97fa553057864ad892eb64120f3eaf9356b4742a10f9a068d42725de895b5e45160b679cbe6961dc4cb552ba10dc97bdd8258d9154810785c451c",
  "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c",
  "consumptionLimit": {
    "usd": 50,
    "diem": 10,
    "vcu": 30
  },
  "limitPeriod": "MONTH",
  "description": "Web3 API Key",
  "expiresAt": "2023-10-01T12:00:00.000Z"
}
'
{
  "data": {
    "apiKey": "<string>",
    "apiKeyType": "ADMIN",
    "consumptionLimit": {
      "usd": 50,
      "diem": 10,
      "vcu": 30
    },
    "limitPeriod": "MONTH",
    "expiresAt": "2023-10-01T12:00:00.000Z",
    "id": "e28e82dc-9df2-4b47-b726-d0a222ef2ab5",
    "description": "Example API Key"
  },
  "success": true
}

Creación de API Key para agentes autónomos

Consulta esta guía sobre cómo usar este endpoint.

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Cuerpo

application/json
apiKeyType
enum<string>
requerido

The API Key type. Admin keys have full access to the API while inference keys are only able to call inference endpoints.

Opciones disponibles:
INFERENCE,
ADMIN
Ejemplo:

"ADMIN"

address
string
requerido

The wallet's address

Ejemplo:

"0x45B73055F3aDcC4577Bb709db10B19d11b5c94eE"

signature
string
requerido

The token, signed with the wallet's private key

Ejemplo:

"0xbb5ff2e177f3a97fa553057864ad892eb64120f3eaf9356b4742a10f9a068d42725de895b5e45160b679cbe6961dc4cb552ba10dc97bdd8258d9154810785c451c"

token
string
requerido
Ejemplo:

"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c"

consumptionLimit
object

The API Key consumption limits, evaluated against the window selected by limitPeriod.

Ejemplo:
{ "usd": 50, "diem": 10, "vcu": 30 }
limitPeriod
enum<string>

Reset window the consumption limits apply to. EPOCH resets every UTC day (legacy default). MONTH resets on the 1st of each UTC calendar month. LIFETIME never resets, so the limit acts as a permanent cap on the key.

Opciones disponibles:
EPOCH,
MONTH,
LIFETIME
Ejemplo:

"MONTH"

description
string
predeterminado:Web3 API Key

The API Key description

Ejemplo:

"Web3 API Key"

expiresAt

The API Key expiration date. If not provided, the key will not expire.

Opciones disponibles:
Ejemplo:

"2023-10-01T12:00:00.000Z"

Respuesta

200 - application/json

OK

data
object
requerido
success
boolean
requerido